Skip to main content
GET
/
notifications
List User Notifications
curl --request GET \
  --url https://api.xplenty.com/{account_id}/api/notifications \
  --header 'Accept: <accept>' \
  --header 'Authorization: Basic <encoded-value>'
[
  {
    "id": 123,
    "title": "<string>",
    "body": "<string>",
    "read": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Enter your API key as the username. Leave the password field blank. Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...

Headers

Accept
string
default:application/vnd.xplenty+json; version=2
required

API version header — required on all requests

Query Parameters

offset
integer
default:0

Index of the first object to retrieve (starting from 0)

Required range: x >= 0
limit
integer
default:20

Number of items to return (max 100)

Required range: 1 <= x <= 100

Response

200 - application/vnd.xplenty+json; version=2

Successful response

id
integer
title
string
body
string
read
boolean
created_at
string<date-time>
updated_at
string<date-time>
Last modified on April 20, 2026